package org.openecomp.sdcrests.vendorsoftwareproducts.types;


import org.hibernate.validator.constraints.NotBlank;
import org.openecomp.sdc.vendorsoftwareproduct.types.composition.ComponentComputeAssociation;

import java.util.List;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;

public class DeploymentFlavorRequestDto {
    @NotBlank(message = "is mandatory and should not be empty")
    @Pattern(regexp = "^[a-zA-Z 0-9._-]*$", message = "must match \"^[a-zA-Z 0-9._-]*$\"")
    @Size(min = 0, max = 30,message = "length should not exceed 30 characters.")
    private String model;
    @Size(min = 0, max = 300,message = "length should not exceed 300 characters.")
    private String description;
    private String featureGroupId;
    private List<ComponentComputeAssociation> componentComputeAssociations;

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getFeatureGroupId() {
        return featureGroupId;
    }

    public void setFeatureGroupId(String featureGroupId) {
        this.featureGroupId = featureGroupId;
    }

    public List<ComponentComputeAssociation> getComponentComputeAssociations() {
        return componentComputeAssociations;
    }

    public void setComponentComputeAssociations(List<ComponentComputeAssociation> componentComputeAssociations) {
        this.componentComputeAssociations = componentComputeAssociations;
    }

}
